﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using PerpetuumSoft.ReportingServices.Viewer.Client.Utils;
using System.Windows.Browser;

namespace SampleApplicationSL4
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            reportViewer.Loaded += new RoutedEventHandler(reportViewer_Loaded);
        }

        private void reportViewer_Loaded(object sender, RoutedEventArgs e)
        {
            reportViewer.ReportName = "/AdventureWorks 2008 Sample Reports/Product Line Sales 2008";
            if (HtmlPage.IsEnabled == false)
            {
                reportViewer.ServiceUrl =
                "http://localhost:5555/ReportService.svc";
            }
            else
            {
                SilverlightInitParamsHelper initParamsHelper = new SilverlightInitParamsHelper(HtmlPage.Plugin.GetProperty("initParams").ToString());
                reportViewer.ServiceUrl = initParamsHelper.ServiceUrl;
            }
            reportViewer.ApplyTemplate();
            reportViewer.RenderDocument();
        }
    }
}
